For Developers
List Links
GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/links
Returns all secondary source links configured for the primary source.
Permissions
Requires the links.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the primary source. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/links`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "d132a0c4-954f-4d32-8ea7-a36c93427db9",
"primary_source_id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12",
"secondary_source_id": "1c7a216b-4e09-4d24-8f47-c0e815617a22",
"priority": 1
}
]
}
